Subject: Re: netfilter 00/31: netfilter update

From: Patrick McHardy <[email-masked]>
Date: Thu, 11 Jun 2009 15:54:38 +0200

David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Wed, 10 Jun 2009 23:46:18 -0700 (PDT)
> 
>> From: Patrick McHardy <[email-masked]>
>> Date: Wed, 10 Jun 2009 21:46:22 +0200 (MEST)
>>
>>> Please apply or pull from:
>>>
>>> git://git.kernel.org/pub/scm/linux/kernel/git/kaber/nf-next-2.6.git master
>> Pulled, thanks a lot Patrick.
>>
>> I'll push it back out to kernel.org after some build testing.
> 
> This stuff isn't ready, sorry I had to undo my pull:
> 
> net/netfilter/nf_conntrack_proto_tcp.c: In function 'tcp_packet':
> net/netfilter/nf_conntrack_proto_tcp.c:947: error: 'tcp_lock' undeclared (first use in this function)
> net/netfilter/nf_conntrack_proto_tcp.c:947: error: (Each undeclared identifier is reported only once
> net/netfilter/nf_conntrack_proto_tcp.c:947: error: for each function it appears in.)
> make[2]: *** [net/netfilter/nf_conntrack_proto_tcp.o] Error 1
> make[2]: *** Waiting for unfinished jobs....

That odd, my tree doesn't have a single reference to tcp_lock left.
I'll check what went wrong, sorry.